package com.example.dados;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class InternalStorageActivity extends Activity{
	//Declarao dos objetos JAVA 
	Button btGravarTexto,btExibirTexto;
	EditText edtTexto,edtNomeArquivo;
	TextView tvTexto;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_internal_storage);
	
		
		//Relacionando os objetos JAVA com os componentes Visuais
		btGravarTexto = (Button)findViewById(R.id.btGravarTexto);
		btExibirTexto = (Button)findViewById(R.id.btExibirTexto);
				
		edtTexto = (EditText)findViewById(R.id.edtTexto);
		edtNomeArquivo = (EditText)findViewById(R.id.edtNomeArquivo);		
		tvTexto = (TextView)findViewById(R.id.tvTexto);
		
		btGravarTexto.setOnClickListener(gravarTexto);
		btExibirTexto.setOnClickListener(lerTexto);
		
	}
	
	OnClickListener gravarTexto = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			//O local arquivo a ser gerado para gravao de dados ser o local onde est instaldo a aplicao
			//usamos getFilesDir().getPath() para ober esta informao
			String localArquivo = getFilesDir().getPath()+ edtNomeArquivo.getText().toString();
			
			//Texto a ser armazenado
			String texto = edtTexto.getText().toString();
			
			//Objeto criado da classe LeituraEscrita de dados que contm os mtodos para ler e salvar			
			LeituraEscritaDados le = new LeituraEscritaDados();
			
			//A varivel retornoGravaoDados receber true ou false, que depende do processo de SalvarArquivo
			Boolean retornoGravacaoDados = le.SalvarArquivo(texto, localArquivo); 
			
			if (retornoGravacaoDados == true)
			{
				Toast.makeText(getBaseContext(), "Texto salvo no arquivo", Toast.LENGTH_LONG).show();
				edtTexto.setText("");
				edtNomeArquivo.setText("");
				
			}
			else
			{
				Toast.makeText(getBaseContext(), "Erro ao salvar o arquivo", Toast.LENGTH_LONG).show();
			}

		}
	};
	
	OnClickListener lerTexto = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			//O local arquivo a ser gerado para gravao de dados ser o local onde est instaldo a aplicao
			//usamos getFilesDir().getPath() para ober esta informao
			String localArquivo = getFilesDir().getPath()+ edtNomeArquivo.getText().toString();
			
			//Objeto criado da classe LeituraEscrita de dados que contm os mtodos para ler e salvar
			LeituraEscritaDados le = new LeituraEscritaDados();
			
			//A varivel texto recebe o conteodo do arquivo texto no local informado
			String texto = le.LerArquivo(localArquivo);
			
			tvTexto.setText(texto); //altera o texto da textView para exibir o que est na varivel texto
			
			if (texto == "")
			{
				Toast.makeText(getBaseContext(), "Arquivo vazio ou erro na leitura de dados", Toast.LENGTH_LONG).show();
			}
			
		}
	};

}
