package com.example.dados;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class PreferenciaActivity extends Activity {
	Button btGravar,btExibir;
	EditText edtNome,edtIdade;
	TextView tvNome,tvIdade;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_preferencia);

		btGravar = (Button)findViewById(R.id.btGravar);
		btExibir = (Button)findViewById(R.id.btExibir);
		
		tvNome = (TextView)findViewById(R.id.tvNome);
		tvIdade = (TextView)findViewById(R.id.tvIdade);
		
		edtNome = (EditText)findViewById(R.id.edtNome);
		edtIdade = (EditText)findViewById(R.id.edtIdade);
		
		btGravar.setOnClickListener(gravar);
		btExibir.setOnClickListener(mostrar);
		
		
	}
	
	OnClickListener mostrar = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			//Cria ou abre um objeto de preferncia
			SharedPreferences prefs = getSharedPreferences("perfil",Context.MODE_PRIVATE);
			
			//Variveis que armazenaro os dados guardados no arquivo de preferncia
			String nome, idade;
			
			//retorno dos dados - 1 valor: nome do objeto que contm os dados no arquivo de preferncia, 2 valor: valor padro
			nome = prefs.getString("nome", "");
			idade = prefs.getString("idade", "0");
			
			//atualiza as TextView com os valores guardados nas variveis
			tvNome.setText(nome);
			tvIdade.setText(idade);
			
		}
	};
	OnClickListener gravar = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			//Cria ou abre um arquivo de preferncia
			SharedPreferences prefs = getSharedPreferences("perfil", Context.MODE_PRIVATE);
			
			Editor ed = prefs.edit();
			
			//Adiciona valores no editor que posteriormente sero colocados no arquivo de preferencia
			ed.putString("nome", edtNome.getText().toString());
			ed.putString("idade", edtIdade.getText().toString());
			
			//Grava as informaes presentes no EDITOR no arquivo de preferencias
			ed.commit();
				
			//Mensagem de alerta informando a insero dos dados
			Toast.makeText(getBaseContext(), "Registro inserido", Toast.LENGTH_LONG).show();
			
			//Limpa o contedo da EditText
			edtIdade.setText("");
			edtNome.setText("");
			
		}
	};
	
	
}
